### Struct

# Qmi MessageWdsGetDefaultProfileNumberInput

since: 1.28

#### Description [src]

    struct QmiMessageWdsGetDefaultProfileNumberInput {
      /* No available fields */
    }

The `QmiMessageWdsGetDefaultProfileNumberInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.28

#### Constructors

###### qmi_message_wds_get_default_profile_number_input_new

Allocates a new `QmiMessageWdsGetDefaultProfileNumberInput`.

since: 1.28

#### Instance methods

###### qmi_message_wds_get_default_profile_number_input_get_profile_type

Get the ‘Profile Type’ field from `self`.

since: 1.28

###### qmi_message_wds_get_default_profile_number_input_ref

Atomically increments the reference count of `self` by one.

since: 1.28

###### qmi_message_wds_get_default_profile_number_input_set_profile_type

Set the ‘Profile Type’ field in the message.

since: 1.28

###### qmi_message_wds_get_default_profile_number_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.28